The officially official Devuan Forum!

You are not logged in.

#1 2019-01-05 15:02:22

Mithrandir
Member
Registered: 2019-01-05
Posts: 2  

Beowulf and policykit-1

Hi, I like the Devuan project and I have installed Devuan Beowulf Kde with Openrc using the mini.iso in: http://pkgmaster.devuan.org/devuan/dist … s/netboot/

I had some problems due to a dysfunction in the policykit-1 package, that was creating problems in getting administrator privileges, as in opening usb devices.

I verified that in my installed system the problem is fixed using the Ascii's policykit-1 version. So I created a file policy_beo in /etc/apt/preferences.d/ with this configuration:

Package: policykit-1
Pin: version 0.105-18*
Pin-Priority: 1001

Package: libpolkit-agent-1-0
Pin: version 0.105-18*
Pin-Priority: 1001

Package: libpolkit-backend-1-0
Pin: version 0.105-18*
Pin-Priority: 1001

Package: libpolkit-backend-elogind-1-0
Pin: version 0.105-18*
Pin-Priority: 1001

Package: libpolkit-gobject-elogind-1-0
Pin: version 0.105-18*
Pin-Priority: 1001

Package: libpolkit-gobject-1-0
Pin: version 0.105-18*
Pin-Priority: 1001

Thanks to the devs for their work!

Offline

#2 2019-01-06 12:32:57

Panopticon
Member
Registered: 2018-01-27
Posts: 206  

Re: Beowulf and policykit-1

I suppose the old saying goes, if it ain't broke don't fix it.

Offline

#3 2019-01-06 16:04:49

Mithrandir
Member
Registered: 2019-01-05
Posts: 2  

Re: Beowulf and policykit-1

In fact it was broken and now is fixed

Offline

#4 2019-01-11 09:37:24

xinomilo
Member
Registered: 2017-07-02
Posts: 58  

Re: Beowulf and policykit-1

using beowulf/ceres with MATE + openrc, fully upgraded from a fresh ascii installation with netboot iso.

can confirm the fix for policykit as Mithrandir writes.
similar apt preferences file, just some extra packages from hezeh.org repo, specialized for MATE power issues :

Package: policykit-1
Pin: version 0.105-18*
Pin-Priority: 1001

Package: libpolkit-agent-1-0
Pin: version 0.105-18*
Pin-Priority: 1001

Package: libpolkit-backend-1-0
Pin: version 0.105-18*
Pin-Priority: 1001

Package: libpolkit-backend-elogind-1-0
Pin: version 0.105-18*
Pin-Priority: 1001

Package: libpolkit-gobject-1-0
Pin: version 0.105-18*
Pin-Priority: 1001

Package: libpolkit-gobject-elogind-1-0
Pin: version 0.105-18*
Pin-Priority: 1001

Package: gir1.2-polkit-1.0
Pin: version 0.105-18*
Pin-Priority: 1001

Package: mate-power-manager
Pin: origin "www.hezeh.org"
Pin-Priority: 1001

Package: mate-power-manager-common
Pin: origin "www.hezeh.org"
Pin-Priority: 1001

thanks to all devuan devs for this great grassroots distro smile

Offline

#5 2019-01-28 23:21:50

xinomilo
Member
Registered: 2017-07-02
Posts: 58  

Re: Beowulf and policykit-1

noticed applications using pkexec (eg. "Bleachbit (as root)" : pkexec bleachbit ) weren't starting/running on brisk menu. (MATE/beowulf + openrc. )
running from terminal same command worked as expected, so i just replaced brisk menu with MATE main menu, and now the same entries run without problems.. just posting it for reference, haven't really dug into the source of why (there was nothing in dmesg/.xsession-errors btw).

still running policykit-1 from ascii.. :

apt policy policykit-1           
policykit-1:
  Installed: 0.105-18+devuan2.11
  Candidate: 0.105-18+devuan2.11
  Version table:
     0.105-25 500
        500 http://gr.deb.devuan.org/merged beowulf/main amd64 Packages
 *** 0.105-18+devuan2.11 1001
        500 https://pkgmaster.devuan.org/merged ascii/main amd64 Packages
        100 /var/lib/dpkg/status
     0.105-9+devuan1 500
        500 http://gr.deb.devuan.org/merged ceres/main amd64 Packages

Offline

Board footer